package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class PaymentPresenterTest {
    @Test
    public void testnoPayment()
    {
        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        assertEquals(expected, actual);
    }
    @Test
    public void multiplepayments()
    {
        Payment[] payments = new Payment[2];
        Payment paypal = new Paypal(4, "Tia Mowry", "tia@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        assertEquals(expected, actual);
    }

    @Test
    public void testtoStringByPayerName()
    {
        Payment[] payments = new Payment[2];
        Payment paypal = new Paypal(4, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringName(payments);
        assertEquals(expected, actual);
    }
    @Test
    public void testtoStringById()
    {
        Payment[] payments = new Payment[2];
        Payment paypal = new Paypal(120, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = paypal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tamara Mowry tamara@mowry.com\n";

        String actual = presenter.toStringById(payments);
        assertEquals(expected, actual);
    }
}
